Package wx :: Package lib :: Package agw :: Module rulerctrl :: Class RulerCtrlEvent

[frames | no frames]

## Type RulerCtrlEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            RulerCtrlEvent

Represent details of the events that the RulerCtrl object sends.

Method Summary
| ``__init__`(self, eventType, id)` Default class constructor.
| ``GetOnldValue`(self)` Returns the event old value.
| ``GetValue`(self)` Returns the event value.
| ``SetOldValue`(self, oldValue)` Sets the event old value.
| ``SetValue`(self, value)` Sets the event value.

Property Summary

Method Details

### __init__(self, eventType, id=1)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

### GetOnldValue(self)

Returns the event old value.

### GetValue(self)

Returns the event value.

### SetOldValue(self, oldValue)

Sets the event old value.

### SetValue(self, value)

Sets the event value.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:17 2009 | http://epydoc.sf.net